# Updating an existing Status Report

This endpoint returns structured Status Report objects.
As with all Kantata OX API endpoints, the returned data will be referenced in sorted order in the results array
and will be indexed by ID in the status_reports top-level JSON key.
Please see our Response Format section for more information.

Endpoint: PUT /status_reports/{id}
Version: 1.0.0

## Path parameters:

  - `id` (integer, required)
    The ID of the Model.

## Query parameters:

  - `include` (string)
    Any of the below associations can be included in your request by providing the include param, e.g. include=association1,association2.
- creator (User) - The user who created the status report.
- external_references (ExternalReference) - Includes references to external integrations for this object.
- updater (User) - The user who last updated the status report.
- workspace (Workspace) - The workspace associated with the status report.

## Request fields (application/json):

  - `status_report` (object)

  - `status_report.color` (string)
    The status color for for the report overall. One of green, yellow, red.

  - `status_report.description` (string)
    The description of the overall status of the project.

  - `status_report.details` (array)
    An array of optional category statuses to report on specific aspects of a project. Any
categories not provided when updating will be deleted if they were previously present.

  - `status_report.details.category` (string, required)
    The category for which this detail applies. One of Scope, Budget, Schedule, Client.

  - `status_report.details.color` (string, required)
    The status color for the specified category. One of green, yellow, red.

  - `status_report.details.description` (string)
    A description of the status of the specified category.

  - `status_report.external_reference` (object)
    Typically populated programmatically by a third party system via an integration, this is an optional
object that holds data from an external system. It connects objects in an external system with objects in
Kantata OX (for example, to connect a Jira issue to a Kantata OX Project).

  - `status_report.external_reference.service_name` (string, required)
    The provider name of the integration. If you are adding multiple external references to the same object, the service_name must be unique.

  - `status_report.external_reference.service_model` (string, required)
    The object type of the external object this external reference belongs to.

  - `status_report.external_reference.service_model_ref` (string, required)
    The object ID of the external object this external reference belongs to.

  - `status_report.external_reference.external_message` (string)
    The message on the external object.

  - `status_report.external_reference.external_link` (string)
    The link to the external object.

  - `status_report.external_reference.external_status` (string)
    The status of the external object in the external system.

  - `status_report.external_reference.locked` (boolean)
    Whether the subject is locked.

## Response 200 fields (application/json):

  - `count` (integer)

  - `meta` (object)

  - `meta.count` (integer)

  - `meta.page_count` (integer)

  - `meta.page_number` (integer)

  - `meta.page_size` (integer)

  - `results` (array)

  - `results.key` (string)

  - `results.id` (string)

  - `status_reports` (object)

  - `external_references` (object)

  - `workspaces` (object)

  - `users` (object)

## Response 400 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)


